---
title: <vkern>
slug: Web/SVG/Element/vkern
tags:
  - Deprecated
  - Element
  - NeedsExample
  - Reference
  - SVG
  - SVG Font
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>&lt;vkern&gt;</code></strong> SVG element allows to fine-tweak the vertical distance between two glyphs in top-to-bottom fonts. This process is known as <a class="external" href="https://en.wikipedia.org/wiki/Kerning">kerning</a>.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("u1")}}</li>
 <li>{{SVGAttr("g1")}}</li>
 <li>{{SVGAttr("u2")}}</li>
 <li>{{SVGAttr("g2")}}</li>
 <li>{{SVGAttr("k")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGVKernElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG1.1', 'fonts.html#VKernElement', '&lt;vkern&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.vkern")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("font")}}</li>
 <li>{{SVGElement("glyph")}}</li>
 <li>{{SVGElement("hkern")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/SVG_fonts">SVG tutorial: SVG fonts</a></li>
</ul>
